/// <reference types="node" />
import { Request, Response, NextFunction } from 'express';
type LogLevel = 'INFO' | 'ERROR' | 'WARNING' | 'TRACE' | 'DATA';
interface MockOptions {
    port?: number;
    defaultListSize?: number;
    defaultRes?: (req: Request, res: Response) => void;
    https?: {
        key: Buffer;
        cert: Buffer;
    };
    log?: LogLevel[] | ((level: LogLevel, ...msg: string[]) => void);
    interceptor?: (req: Request, res: Response, next: NextFunction, mockData: any) => {};
    onMockStart?: () => void;
    templateParser?: (str: string, path?: string) => any;
}
declare const TYPES: {
    BOOL: string;
    NUMBER: string;
    STRING: string;
};
declare let autoMock: (routes: Object, options: MockOptions) => void;
declare function getMockData(path: string, protocol: string): any;
declare function setMockData(path: string, protocol: string, data: any, filter: (reqData: any, req: Request) => any): void;
export { autoMock, getMockData, setMockData, MockOptions, TYPES };
