declare let SYMBOLS: {
    PROTOCOL: symbol;
    DYNAMIC: symbol;
    ROUTE: symbol;
    NAME: symbol;
    QUERY: symbol;
    BODY: symbol;
    RESPONSE: symbol;
    INDEX: symbol;
};
interface PathParams {
    pathArgs?: any;
    queryParams?: any;
    isMock?: boolean;
    bodyParams?: any;
}
type RouteHttpProtocol = 'GET' | 'POST' | 'PUT' | 'PATCH' | 'DELETE' | 'HEAD' | 'OPTIONS' | 'TRACE';
declare const METHOD: Record<RouteHttpProtocol, RouteHttpProtocol>;
declare function pathOptions(pathArgs: any, queryParams?: any, bodyParams?: any): {
    pathArgs: any;
    queryParams: any;
    bodyParams: any;
};
/**
 * Adds Route object to the given route tree
 * @param {*} data route tree
 * @param {*} name name of current route part
 * @param {*} prefix Route object representing father route
 */
declare function initRoutes(data: any, name?: any, prefix?: any, prevNames?: {}, pathParts?: any[]): void;
declare function getRoute(treePath: any, options?: PathParams): any;
declare function getPath(treePath: any, options?: {}): any;
/**
 * returns an object containing a union of both entities,
 * note that only response data is taken from responseRoutes any other data is ignored
 * @param {Object} routes represents the main route definition object
 * @param {Object} responseRoutes represents only the response sections of the definition object
 * @returns an object containing a union of both entities, note that only response data is taken from responseRoutes any other data is ignored
 */
declare function joinResponseRoutes(routes: any, responseRoutes: any): any;
declare const BIND: (dKey: any, rKey: any) => string;
export { METHOD, SYMBOLS, initRoutes, getPath, getRoute, pathOptions, joinResponseRoutes, BIND, };
