"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setMockData = exports.getMockData = exports.openApiToMockFile = exports.mockOpenApi = exports.mock = exports.METHOD = exports.PATH_SYMBOLS = exports.AutoMock = exports.RouteCreator = void 0;
const RouteCreator_1 = require("./RouteCreator");
Object.defineProperty(exports, "METHOD", { enumerable: true, get: function () { return RouteCreator_1.METHOD; } });
const AutoMockServer_1 = require("./AutoMockServer");
const OpenApiConverter_1 = require("./OpenApiConverter");
Object.defineProperty(exports, "openApiToMockFile", { enumerable: true, get: function () { return OpenApiConverter_1.openApiToMockFile; } });
const PATH_SYMBOLS = Object.assign(Object.assign({}, RouteCreator_1.SYMBOLS), { BIND: RouteCreator_1.BIND });
exports.PATH_SYMBOLS = PATH_SYMBOLS;
let AutoMock = {};
exports.AutoMock = AutoMock;
if (typeof window === 'undefined') {
    let { autoMock, getMockData, setMockData } = require('./AutoMockServer');
    exports.AutoMock = AutoMock = { mock: autoMock, getMockData, setMockData };
}
const getMockData = AutoMock.getMockData;
exports.getMockData = getMockData;
const setMockData = AutoMock.setMockData;
exports.setMockData = setMockData;
let RouteCreator = {
    METHOD: RouteCreator_1.METHOD,
    SYMBOLS: RouteCreator_1.SYMBOLS,
    initRoutes: RouteCreator_1.initRoutes,
    getPath: RouteCreator_1.getPath,
    getRoute: RouteCreator_1.getRoute,
    pathOptions: RouteCreator_1.pathOptions,
    joinResponseRoutes: RouteCreator_1.joinResponseRoutes,
    BIND: RouteCreator_1.BIND,
};
exports.RouteCreator = RouteCreator;
/**
 * Creates a mock server out of an API document, also enables adding external mock reference object.
 * @param document Open API document to convert
 * @param mockRef mock references object to attach to the open API document, this can be done in two ways
 * adding a key corresponding to an operation id, with a value of a mock [RESPONSE] object i.e.:
 * { template: {a:"[1|2|3]"} }
 * adding a key corresponding to a x-mock-ref key on a property of the open api mock,
 * with a value of a mock template i.e.:
 * {a:"[1|2|3]"}
 * @param options mock options
 */
function mockOpenApi(document, mockRef = {}, options) {
    (0, OpenApiConverter_1.openApiToMockDefinition)(document, mockRef).then((routes) => mock(routes, options));
}
exports.mockOpenApi = mockOpenApi;
function mock(routes, options) {
    (0, RouteCreator_1.initRoutes)(routes);
    (0, AutoMockServer_1.autoMock)(routes, options || {});
}
exports.mock = mock;
//# sourceMappingURL=index.js.map